Name:           s6-networking
Version:        2.3.1.2
Release:        1%{?dist}
Summary:        UCSPI Unix and TCP tools, access control tools, and network time management utilities.

License:        ISC
URL:            https://skarnet.org/software/%{name}/
Source0:        https://skarnet.org/software/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}.patch

BuildRequires:  make >= 3.81
BuildRequires:  gcc
BuildRequires:  skalibs-devel >= 2.9.2.0
BuildRequires:  execline-devel >= 2.6.0.0
BuildRequires:  s6-devel >= 2.9.1.0
BuildRequires:  s6-dns-devel >= 2.3.3.0

Requires:       skalibs >= 2.9.2.0
Requires:       execline >= 2.6.0.0
Requires:       s6 >= 2.9.1.0
Requires:       s6-dns >= 2.3.2.0

%description
s6-networking is a suite of small networking utilities for Unix systems.
It includes command-line client and server management, TCP access control,
privilege escalation across UNIX domain sockets, IDENT protocol management
and clock synchronization.

%package devel
Summary:        %{name} development files
Provides:       %{name}-devel

%description devel
This package contains necessary header files for %{name} development.

%prep
%autosetup -p1

%build
%configure --libexecdir=%{_libexecdir}/%{name}\
 --enable-shared\
 --disable-static\
 --disable-allstatic\
 --with-sysdeps=/usr/lib64/skalibs/sysdeps
%make_build

%install
%make_install

%files
%license COPYING
%doc README
%doc NEWS
%doc AUTHORS
%doc doc
%{_bindir}/*
%{_libdir}/libs6net.so.2.3*

%files devel
%{_libdir}/libs6net.so
%{_includedir}/%{name}/*

%changelog
* Tue Jun 16 2020 Marcin Skarbek <rpm@skarbek.name> 2.3.1.2-1
- Initial package
